<?xml version="1.0" encoding="utf-8"?>
<exercise>
	<rubric><![CDATA[<font size="22" color="#0072bc">Complete the sentences using the past perfect.</font>]]></rubric>
	<questions>
		<question>
			<sentence><![CDATA[[#] (eat) his breakfast before he left home?]]></sentence>
			<answers>
				<answer>Had he eaten</answer>
			</answers>	
		</question>
		<question>
			<sentence><![CDATA[[#] (finish) the book before you returned it?]]></sentence>
			<answers>
				<answer>Had you finished</answer>
			</answers>	
		</question>
		<question>
			<sentence><![CDATA[[#] (study) any French before he visited Paris?]]></sentence>
			<answers>
				<answer>Had he studied</answer>
			</answers>
		</question>
		<question>
			<sentence><![CDATA[They couldn't make dinner because they [#] (not / go) shopping.]]></sentence>
			<answers>
				<answer>hadn't been</answer>
				<answer>had not been</answer>
			</answers>
		</question>
		<question>
			<sentence><![CDATA[It [#] (not / stop) raining so they couldn't play tennis.]]></sentence>
			<answers>
				<answer>hadn't stopped</answer>
				<answer>had not stopped</answer>
			</answers>
		</question>
		<question>
			<sentence><![CDATA[She [#] (not / arrive) at the station because the train was late.]]></sentence>
			<answers>
				<answer>hadn't arrived</answer>
				<answer>had not arrived</answer>
			</answers>
		</question>
		</questions>
</exercise>
